% Parameter
lambda = 10.;
f = @(t,y) lambda*(y - t.^2/(1. + t.^2)) + 2*t./(1. + t.^2).^2; % RHS
tspan = [0,5]; % Zeitintervall
y0 = 0;

% ODE45 mit standard Optionen (RelTol = 1.e-3 & AbsTol = 1.e-6)
% ODE45 hat viele weitere Optionen! Fuer mehr, s. die Dokumentation!
options1 = odeset('RelTol',1.e-3,'AbsTol',1.e-6);
[t01,y01] = ode45(f,tspan,y0,options1);

% ODE45 mit RelTol = 1.e-6 & AbsTol = 1.e-6
[t02,y02] = ...

% ODE45 mit RelTol = 1.e-8 & AbsTol = 1.e-8
[t03,y03] = ...

% ODE45 mit RelTol = 1.e-10 & AbsTol = 1.e-10
[t04,y04] = ...

% plot
clf;
hold on;
title('Toleranzen');
box on;
t = linspace(tspan(1),tspan(2),100);
y_exact = t.^2./(1. + t.^2);
plot(t,y_exact,'b-');
plot(t01,y01,'r-' );
plot(t02,y02,'g-' );
plot(t03,y03,'m-' );
plot(t04,y04,'k--');
legend('Exakt','ODE45 try 1','ODE45 try 2','ODE45 try 3' ...
      ,'ODE45 try 4','Location','NorthWest');
xlabel('t');
ylabel('y');
ylim([-1,2]);
hold off;
